Last Comment Bug 330462 - New version of JEP (0.9.5+d), please land on trunk and branch
: New version of JEP (0.9.5+d), please land on trunk and branch
Status: RESOLVED FIXED
[camino-1.0.1]
: fixed1.8.0.4, fixed1.8.1
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: PowerPC Mac OS X
-- normal (vote)
: ---
Assigned To: Josh Aas
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
http://javaplugin.sourceforge.net/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 07:11 PST by Steven Michaud [:smichaud] (Retired)
Modified: 2006-04-20 21:40 PDT (History)
6 users (show)
dveditz: blocking1.8.1+
dveditz: blocking1.8.0.4+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
JEP placeholder (24 bytes, text/plain)
2006-03-14 21:04 PST, Josh Aas
jaas: review+
mark: review+
jaas: approval‑branch‑1.8.1+
dveditz: approval1.8.0.4+
Details

Description User image Steven Michaud [:smichaud] (Retired) 2006-03-14 07:11:16 PST
The JEP's binaries are now "universal", and the new version works around the
most recent change in nsIScriptSecurityManager's IID (in the CAPS interface,
see https://bugzilla.mozilla.org/show_bug.cgi?id=293973#c20).

There are also fixes/workarounds for several other bugs.  All of them are
quite obscure, but some of them are crash bugs.
Comment 1 User image Josh Aas 2006-03-14 21:01:22 PST
landed on trunk, I tested it under Intel, Rosetta, and PPC
Comment 2 User image Josh Aas 2006-03-14 21:04:06 PST
Created attachment 215098 [details]
JEP placeholder
Comment 3 User image Mark Mentovai 2006-03-14 21:05:29 PST
Comment on attachment 215098 [details]
JEP placeholder

r=me
Comment 4 User image Steven Michaud [:smichaud] (Retired) 2006-03-15 07:05:59 PST
I understand that it's too late to put this into 1.8.0.2.  But on general
principles it should go into the next release(s) after than.
Comment 5 User image Darin Fisher 2006-03-27 07:45:15 PST
josh, mark: is this something we want for FF/TB 1.5.0.3?
Comment 6 User image Mark Mentovai 2006-03-27 08:50:35 PST
I think so.
Comment 7 User image Josh Aas 2006-03-28 12:49:00 PST
landed on MOZILLA_1_8_BRANCH
Comment 8 User image Daniel Veditz [:dveditz] 2006-04-03 12:20:01 PDT
Comment on attachment 215098 [details]
JEP placeholder

approved for 1.8.0 branch, a=dveditz for drivers
Comment 9 User image Mark Mentovai 2006-04-18 20:26:07 PDT
Taking this for Camino 1.0.1.  I'll land this on the 1.8.0 branch for 1.8.0.3 tomorrow.
Comment 10 User image Josh Aas 2006-04-20 21:40:39 PDT
landed on MOZILLA_1_8_0_BRANCH

Note You need to log in before you can comment on or make changes to this bug.